import 'package:flutter/material.dart';

class LoginForm extends StatelessWidget {
  final String emailLabel;
  final String passwordLabel;
  final String loginLabel;
  final bool isLoading;
  final Function onLogin;

  LoginForm({
    this.emailLabel = "Email",
    this.passwordLabel = "Password",
    this.loginLabel = "Login",
    this.isLoading = false,
    this.onLogin
  });

  @override
  Widget build(BuildContext context) {
    final emailField = TextField(
        obscureText: false,
        decoration: InputDecoration(hintText: emailLabel));
    final passwordField = TextField(
        obscureText: true, decoration: InputDecoration(hintText: passwordLabel));
    final loginButton = RaisedButton(
      onPressed: () {
        if (onLogin != null) onLogin();
      },
      child: isLoading ? Container(
      width: 20,
      height: 20,
      child: CircularProgressIndicator() ,
    ) : Text(loginLabel)
    );

    return Padding(
      padding: const EdgeInsets.all(36.0),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          emailField,
          SizedBox(height: 25.0),
          passwordField,
          SizedBox(height: 35.0),
          Container(
            height: 52,
            width: double.infinity,
            child: loginButton,
          ),
          SizedBox(height: 15.0),
        ],
      ),
    );
  }
}