import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:bitmio_auth/bitmio_auth.dart';

void main() {
  const MethodChannel channel = MethodChannel('bitmio_auth');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('webview auth callback url parsing', () async {
    final url1 = 'https://example.com/bitmio_callback#access_token=123';
    final result1 = parseAuthCallback(url1);
    expect(result1.accessToken, '123');

    final url2 = 'https://example.com/bitmio_callback#error=wrong_password';
    final result2 = parseAuthCallback(url2);
    expect(result2.error, 'wrong_password');
    expect(result2.accessToken, null);

    final url3 = 'https://example.com/callback';
    final result3 = parseAuthCallback(url3);
    expect(result3.error, null);
    expect(result3.accessToken, null);
  });
}
